package com.yanzhu.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;

import java.util.Date;

/**
 * 考勤管理对象 attendance_ubi_data
 * 
 * @author yanzhu
 * @date 2024-10-12
 */
public class AttendanceUbiData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long comId;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long projectId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String userName;

    /** 班组编号(外键） */
    @Excel(name = "班组编号(外键）")
    private Long subDeptGroup;

    /** 班组名称 */
    @Excel(name = "班组名称")
    private String subDeptGroupName;

    /** 工种类型 */
    @Excel(name = "工种类型")
    private String craftType;

    /** 工种岗位 */
    @Excel(name = "工种岗位")
    private String craftPost;

    /** 进场时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "进场时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date inTime;

    /** 进场数据 */
    @Excel(name = "进场数据")
    private String inData;

    /** 离场时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "离场时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date outTime;

    /** 离场数据 */
    @Excel(name = "离场数据")
    private String outData;

    /** 设备NO */
    @Excel(name = "设备NO")
    private String deviceNo;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long state;

    private String comName;

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    private String projectName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setComId(Long comId) 
    {
        this.comId = comId;
    }

    public Long getComId() 
    {
        return comId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setSubDeptGroup(Long subDeptGroup) 
    {
        this.subDeptGroup = subDeptGroup;
    }

    public Long getSubDeptGroup() 
    {
        return subDeptGroup;
    }
    public void setSubDeptGroupName(String subDeptGroupName) 
    {
        this.subDeptGroupName = subDeptGroupName;
    }

    public String getSubDeptGroupName() 
    {
        return subDeptGroupName;
    }
    public void setCraftType(String craftType) 
    {
        this.craftType = craftType;
    }

    public String getCraftType() 
    {
        return craftType;
    }
    public void setCraftPost(String craftPost) 
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost() 
    {
        return craftPost;
    }
    public void setInTime(Date inTime) 
    {
        this.inTime = inTime;
    }

    public Date getInTime() 
    {
        return inTime;
    }
    public void setInData(String inData) 
    {
        this.inData = inData;
    }

    public String getInData() 
    {
        return inData;
    }
    public void setOutTime(Date outTime)
    {
        this.outTime = outTime;
    }

    public Date getOutTime() 
    {
        return outTime;
    }
    public void setOutData(String outData) 
    {
        this.outData = outData;
    }

    public String getOutData() 
    {
        return outData;
    }
    public void setDeviceNo(String deviceNo) 
    {
        this.deviceNo = deviceNo;
    }

    public String getDeviceNo() 
    {
        return deviceNo;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }

    public String getAdmitGuid() {
        return admitGuid;
    }

    public void setAdmitGuid(String admitGuid) {
        this.admitGuid = admitGuid;
    }

    private String admitGuid;
    private  String eventGuid;
    private  String inPhoto;
    private  String outPhoto;
    public String getEventGuid() {
        return eventGuid;
    }

    public void setEventGuid(String eventGuid) {
        this.eventGuid = eventGuid;
    }

    public String getInPhoto() {
        return inPhoto;
    }

    public void setInPhoto(String inPhoto) {
        this.inPhoto = inPhoto;
    }

    public String getOutPhoto() {
        return outPhoto;
    }

    public void setOutPhoto(String outPhoto) {
        this.outPhoto = outPhoto;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("subDeptGroup", getSubDeptGroup())
            .append("subDeptGroupName", getSubDeptGroupName())
            .append("craftType", getCraftType())
            .append("craftPost", getCraftPost())
            .append("inTime", getInTime())
            .append("inData", getInData())
            .append("outTime", getOutTime())
            .append("outData", getOutData())
            .append("deviceNo", getDeviceNo())
            .append("isDel", getIsDel())
            .append("state", getState())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
